Debian Bug report logs - #505900
googleearth-package: Google Earth fails to build

version graph

Package: googleearth-package; Maintainer for googleearth-package is Adnan Hodzic <adnan@foolcontrol.org>; Source for googleearth-package is src:googleearth-package.

Reported by: Sheridan Hutchinson <sheridan@shezza.org>

Date: Sun, 16 Nov 2008 17:57:02 UTC

Severity: grave

Tags: patch

Found in version googleearth-package/0.5.4

Fixed in version googleearth-package/0.7.0

Done: Adnan Hodzic <adnan@foolcontrol.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wjl@icecavern.net (Wesley J. Landaker):
Bug#505900; Package googleearth-package. (Sun, 16 Nov 2008 17:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sheridan Hutchinson <sheridan@shezza.org>:
New Bug report received and forwarded. Copy sent to wjl@icecavern.net (Wesley J. Landaker). (Sun, 16 Nov 2008 17:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sheridan Hutchinson <sheridan@shezza.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: google: Google Earth fails to build on x86-64
Date: Sun, 16 Nov 2008 17:54:31 +0000
Package: googleearth-package
Version: 0.5.4
Severity: normal
File: google

I installed google-earth on my 32-bit x86 laptop and the package created 
built correctly.

When trying exactly the same procedure on my 64-bit x86-64 desktop the 
package fails to build.

Final part of the build log to follow.  If you require any other details 
then let me know and I can get it to you within 24 hours most likely:



dpkg-shlibdeps: failure: couldn't find library libz.so.1 needed by 
../usr/lib/googleearth/libIGCollision.so (its RPATH is '').
Note: libraries are not searched in other binary packages that do not 
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set 
LD_LIBRARY_PATH.
dpkg-shlibdeps: failure: couldn't find library libz.so.1 needed by 
../usr/lib/googleearth/libQtCore.so.4 (its RPATH is '').
Note: libraries are not searched in other binary packages that do not 
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set 
LD_LIBRARY_PATH.
dpkg-shlibdeps: failure: couldn't find library libgcc_s.so.1 needed by 
../usr/lib/googleearth/libinput_plugin.so (its RPATH is '').
Note: libraries are not searched in other binary packages that do not 
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set 
LD_LIBRARY_PATH.
dpkg-shlibdeps: failure: couldn't find library libdl.so.2 needed by 
../usr/lib/googleearth/libcrypto.so.0.9.8 (its RPATH is '').
Note: libraries are not searched in other binary packages that do not 
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set 
LD_LIBRARY_PATH.
dpkg-shlibdeps: failure: couldn't find library libc.so.6 needed by 
../usr/lib/googleearth/libz.so.1 (its RPATH is '').
Note: libraries are not searched in other binary packages that do not 
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set 
LD_LIBRARY_PATH.
dpkg-shlibdeps: failure: couldn't find library libgcc_s.so.1 needed by 
../usr/lib/googleearth/libge_net.so (its RPATH is '').
Note: libraries are not searched in other binary packages that do not 
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set 
LD_LIBRARY_PATH.
Package: googleearth
Version: 4.3.7284.3916+0.5.4-1
Section: non-free/science
Priority: optional
Maintainer:  <>
Architecture: amd64
Depends: ttf-dejavu | ttf-bitstream-vera | msttcorefonts,  , ia32-libs
Description: Google Earth, a 3D map/planet viewer
 Package built with googleearth-package.
chmod: cannot access `usr/lib/googleearth/linux/mailto-scripts/*': No 
such file or directory
dpkg-deb: parse error, in file `/root/googleearth-deb/DEBIAN/control' 
near line 7 package `googleearth':
 `Depends' field, missing package name, or garbage where package name 
expected
Success!

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages googleearth-package depends on:
ii  bzip2                         1.0.5-1    high-quality block-sorting file co
ii  dpkg-dev                      1.14.22    Debian package development tools
ii  fakeroot                      1.10.1     Gives a fake root environment
ii  file                          4.26-1     Determines file type using "magic"
ii  wget                          1.11.4-2   retrieves files from the web
ii  x11-common                    1:7.3+18   X Window System (X.Org) infrastruc

googleearth-package recommends no packages.

googleearth-package suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, wjl@icecavern.net (Wesley J. Landaker):
Bug#505900; Package googleearth-package. (Sun, 16 Nov 2008 20:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Wesley J. Landaker" <wjl@icecavern.net>:
Extra info received and forwarded to list. Copy sent to wjl@icecavern.net (Wesley J. Landaker). (Sun, 16 Nov 2008 20:36:02 GMT) Full text and rfc822 format available.

Message #10 received at 505900@bugs.debian.org (full text, mbox):

From: "Wesley J. Landaker" <wjl@icecavern.net>
To: Sheridan Hutchinson <sheridan@shezza.org>, 505900@bugs.debian.org
Subject: Re: Bug#505900: google: Google Earth fails to build on x86-64
Date: Sun, 16 Nov 2008 13:30:53 -0700
[Message part 1 (text/plain, inline)]
On Sunday 16 November 2008 10:54:31 Sheridan Hutchinson wrote:
> I installed google-earth on my 32-bit x86 laptop and the package created
> built correctly.
>
> When trying exactly the same procedure on my 64-bit x86-64 desktop the
> package fails to build.
>
> Final part of the build log to follow.  If you require any other details
> then let me know and I can get it to you within 24 hours most likely:

> Depends: ttf-dejavu | ttf-bitstream-vera | msttcorefonts,  , ia32-libs

The problem is that dpkg-shlibdeps can't find any libraries at all. If you 
install ia32-libs and friends first, then run again, it will probably work. 

I'll see what I can do about fixing this in the next version.

The current situation with building googleearth packages for x86-64 is 
rather fragile, and I may fix this in the future by simply hard-coding 
dependencies instead of using dpkg-shlibdeps, but of course this means it's 
more fragile WRT Google Earth updates...

-- 
Wesley J. Landaker <wjl@icecavern.net> <xmpp:wjl@icecavern.net>
OpenPGP FP: 4135 2A3B 4726 ACC5 9094  0097 F0A9 8A4C 4CD6 E3D2
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wjl@icecavern.net (Wesley J. Landaker):
Bug#505900; Package googleearth-package. (Sun, 16 Nov 2008 21:49:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sheridan Hutchinson <Sheridan@Shezza.org>:
Extra info received and forwarded to list. Copy sent to wjl@icecavern.net (Wesley J. Landaker). (Sun, 16 Nov 2008 21:50:33 GMT) Full text and rfc822 format available.

Message #15 received at 505900@bugs.debian.org (full text, mbox):

From: Sheridan Hutchinson <Sheridan@Shezza.org>
To: "Wesley J. Landaker" <wjl@icecavern.net>
Cc: 505900@bugs.debian.org
Subject: Re: Bug#505900: google: Google Earth fails to build on x86-64
Date: Sun, 16 Nov 2008 21:44:32 +0000
[Message part 1 (text/plain, inline)]
Wesley J. Landaker wrote:
> On Sunday 16 November 2008 10:54:31 Sheridan Hutchinson wrote:
>> I installed google-earth on my 32-bit x86 laptop and the package
>> created built correctly.
>> 
>> When trying exactly the same procedure on my 64-bit x86-64 desktop
>> the package fails to build.
>> 
>> Final part of the build log to follow.  If you require any other
>> details then let me know and I can get it to you within 24 hours
>> most likely:
> 
>> Depends: ttf-dejavu | ttf-bitstream-vera | msttcorefonts,  ,
>> ia32-libs
> 
> The problem is that dpkg-shlibdeps can't find any libraries at all.
> If you install ia32-libs and friends first, then run again, it will
> probably work.
> 
> I'll see what I can do about fixing this in the next version.
> 
> The current situation with building googleearth packages for x86-64
> is rather fragile, and I may fix this in the future by simply
> hard-coding dependencies instead of using dpkg-shlibdeps, but of
> course this means it's more fragile WRT Google Earth updates...

Thank you for the reply.

At the moment it's not really appropriate to install all the packages
that ia32-libs pulls in on this box so I'll defer trying for now and
just use it on my laptop instead.

Thanks for your help though.

-- 
Regards,
Sheridan Hutchinson
sheridan@shezza.org

[signature.asc (application/pgp-signature, attachment)]

Reply sent to wjl@icecavern.net (Wesley J. Landaker):
You have taken responsibility. (Thu, 16 Apr 2009 21:32:51 GMT) Full text and rfc822 format available.

Notification sent to Sheridan Hutchinson <sheridan@shezza.org>:
Bug acknowledged by developer. (Thu, 16 Apr 2009 21:33:21 GMT) Full text and rfc822 format available.

Message #20 received at 505900-close@bugs.debian.org (full text, mbox):

From: wjl@icecavern.net (Wesley J. Landaker)
To: 505900-close@bugs.debian.org
Subject: Bug#505900: fixed in googleearth-package 0.5.5
Date: Thu, 16 Apr 2009 21:02:31 +0000
Source: googleearth-package
Source-Version: 0.5.5

We believe that the bug you reported is fixed in the latest version of
googleearth-package, which is due to be installed in the Debian FTP archive:

googleearth-package_0.5.5.dsc
  to pool/contrib/g/googleearth-package/googleearth-package_0.5.5.dsc
googleearth-package_0.5.5.tar.gz
  to pool/contrib/g/googleearth-package/googleearth-package_0.5.5.tar.gz
googleearth-package_0.5.5_all.deb
  to pool/contrib/g/googleearth-package/googleearth-package_0.5.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 505900@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Wesley J. Landaker <wjl@icecavern.net> (supplier of updated googleearth-package package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 16 Apr 2009 11:56:09 -0600
Source: googleearth-package
Binary: googleearth-package
Architecture: source all
Version: 0.5.5
Distribution: unstable
Urgency: low
Maintainer: Wesley J. Landaker <wjl@icecavern.net>
Changed-By: Wesley J. Landaker <wjl@icecavern.net>
Description: 
 googleearth-package - utility to automatically build a Debian package of Google Earth
Closes: 467161 467558 471714 478266 478785 479319 498384 499777 505900 511475 511475 514052
Changes: 
 googleearth-package (0.5.5) unstable; urgency=low
 .
   * Support Google Earth 5.0 (closes: #514052)
   * Honor users LD_LIBRARY_PATH if already set (closes: #478785)
   * Fix one .desktop file that pointed to the wrong icon (closes: #478266)
   * Refuse to build as root, or in a set[ug]id directory (closes: #467558)
   * Add lib32nss-mdns to amd64 package depends (closes: #479319)
   * Fix invalid expansion in some here-documents (closes: #498384)
   * Update depends to include x11-utils (closes: #505900)
   * Improve the package description somewhat (closes: #499777)
   * Add defaults for name and e-mail on generated package (closes: #511475)
   * Misc shlibdeps invocation improvements (closes: #511475)
   * Suggest ttf-bitstream-vera to get rid of warnings (closes: #471714)
   * Note how to install the package after building (closes: #467161)
   * Update Vcs-Git information
   * Use debhelper v7
   * Update to Debian Policy 3.8.1 (no changes necessary)
Checksums-Sha1: 
 a86d428538e113e356bf75a32b31d868470fa671 849 googleearth-package_0.5.5.dsc
 2b7ccaec00f574a103c01245c51789f2be4edefe 20507 googleearth-package_0.5.5.tar.gz
 b691c07f781209ee38e8d47b61a00ff513bdf76c 10244 googleearth-package_0.5.5_all.deb
Checksums-Sha256: 
 f35f6666bf619b3c164a54526a27989d7cadb1e0d14f016c9775f2761a135e36 849 googleearth-package_0.5.5.dsc
 74bec13a5aed3988d60db9a49d6cee5259c963475379711c718595a310c88d0f 20507 googleearth-package_0.5.5.tar.gz
 d386cdef6975e799390b343af0d299826b6e8596567de95b54cf7374bac6c987 10244 googleearth-package_0.5.5_all.deb
Files: 
 7f4e8b7ef732507be5f15283873e11dd 849 contrib/misc optional googleearth-package_0.5.5.dsc
 5d9ec42b54d33f6112dc7803fc4c1bfc 20507 contrib/misc optional googleearth-package_0.5.5.tar.gz
 4838ef772293be069a61ead914c80880 10244 contrib/misc optional googleearth-package_0.5.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknnkWkACgkQ8KmKTEzW49L6mACfUP5zXEyV3SL2Tq4AoFagu0Lk
NWYAn0ojVD/MN5H1izi9i8tu65dV2zUH
=PmsD
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, wjl@icecavern.net (Wesley J. Landaker):
Bug#505900; Package googleearth-package. (Sat, 18 Apr 2009 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sheridan Hutchinson <sheridan@shezza.org>:
Extra info received and forwarded to list. Copy sent to wjl@icecavern.net (Wesley J. Landaker). (Sat, 18 Apr 2009 17:57:04 GMT) Full text and rfc822 format available.

Message #25 received at 505900@bugs.debian.org (full text, mbox):

From: Sheridan Hutchinson <sheridan@shezza.org>
To: 505900@bugs.debian.org
Cc: wjl@icecavern.net
Subject: Re: Bug#505900 closed by wjl@icecavern.net (Wesley J. Landaker) (Bug#505900: fixed in googleearth-package 0.5.5)
Date: Sat, 18 Apr 2009 18:53:57 +0100
Using 0.5.6 I'm sorry to report that I still can't build on this machine.

-- 
Regards,
Sheridan Hutchinson
sheridan@shezza.org


~~~~~~~~~~~~~~~~~


sheridan@D2:~$ make-googleearth-package
--2009-04-18 18:46:24--
http://dl.google.com/earth/client/current/GoogleEarthLinux.bin
Resolving dl.google.com... 209.85.229.91, 209.85.229.136,
209.85.229.93, ...
Connecting to dl.google.com|209.85.229.91|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 25338751 (24M) [application/octet-stream]
Saving to: `GoogleEarthLinux.bin'

100%[======================================================================>]
25,338,751   170K/s   in 55s

2009-04-18 18:47:19 (451 KB/s) - `GoogleEarthLinux.bin' saved
[25338751/25338751]

Google Earth for GNU/Linux 5.0.11337.1968
Supported Google Earth version: 5.0.11337.1968
tar: Record size = 8 blocks
./
./bin/
./bin/googleearth
./googleearth-icon.png
./googleearth.xpm
./linux/
./linux/xdg/
./linux/xdg/xdg-desktop-icon
./linux/xdg/xdg-desktop-menu
./linux/xdg/xdg-mime
./postinstall.sh
./preuninstall.sh
./README.linux
./setup.data/
./setup.data/bin/
./setup.data/bin/Linux/
./setup.data/bin/Linux/x86/
./setup.data/bin/Linux/x86/setup.gtk
./setup.data/bin/Linux/x86/setup.gtk2
./setup.data/bin/Linux/x86/uninstall
./setup.data/bin/Linux/amd64
./setup.data/bin/Linux/x86_64
./setup.data/bin/NetBSD
./setup.data/bin/OpenBSD
./setup.data/bin/FreeBSD
./setup.data/config.sh
./setup.data/locale/
./setup.data/locale/de/
./setup.data/locale/de/LC_MESSAGES/
./setup.data/locale/de/LC_MESSAGES/loki-uninstall.mo
./setup.data/locale/de/LC_MESSAGES/setup.mo
./setup.data/locale/es/
./setup.data/locale/es/LC_MESSAGES/
./setup.data/locale/es/LC_MESSAGES/loki-uninstall.mo
./setup.data/locale/es/LC_MESSAGES/setup.mo
./setup.data/locale/fr/
./setup.data/locale/fr/LC_MESSAGES/
./setup.data/locale/fr/LC_MESSAGES/loki-uninstall.mo
./setup.data/locale/fr/LC_MESSAGES/setup.mo
./setup.data/locale/it/
./setup.data/locale/it/LC_MESSAGES/
./setup.data/locale/it/LC_MESSAGES/loki-uninstall.mo
./setup.data/locale/it/LC_MESSAGES/setup.mo
./setup.data/locale/nl/
./setup.data/locale/nl/LC_MESSAGES/
./setup.data/locale/nl/LC_MESSAGES/loki-uninstall.mo
./setup.data/locale/nl/LC_MESSAGES/setup.mo
./setup.data/locale/ru/
./setup.data/locale/ru/LC_MESSAGES/
./setup.data/locale/ru/LC_MESSAGES/loki-uninstall.mo
./setup.data/locale/ru/LC_MESSAGES/setup.mo
./setup.data/locale/sv/
./setup.data/locale/sv/LC_MESSAGES/
./setup.data/locale/sv/LC_MESSAGES/loki-uninstall.mo
./setup.data/locale/sv/LC_MESSAGES/setup.mo
./setup.data/setup.glade
./setup.data/setup.gtk2.glade
./setup.data/setup.xml
./setup.data/splash.xpm
./setup.sh
./googleearth-linux-x86.tar
./googleearth-data.tar
Checking shlib deps: libnavigate.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libnavigate.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libIGGfx.so
dpkg-shlibdeps: failure: couldn't find library libpthread.so.0 needed
by ../usr/lib/googleearth/libIGGfx.so (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libcollada.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libcollada.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libIGCore.so
dpkg-shlibdeps: failure: couldn't find library libpthread.so.0 needed
by ../usr/lib/googleearth/libIGCore.so (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libapiloader.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libapiloader.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libgoogleearth_lib.so
dpkg-shlibdeps: failure: couldn't find library libX11.so.6 needed by
../usr/lib/googleearth/libgoogleearth_lib.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libgdal.so
dpkg-shlibdeps: failure: couldn't find library librt.so.1 needed by
../usr/lib/googleearth/libgdal.so (its RPATH is
'/usr/local/google/earth-build-tools/lib').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libbase.so
dpkg-shlibdeps: failure: couldn't find library libdl.so.2 needed by
../usr/lib/googleearth/libbase.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libIGOpt.so
dpkg-shlibdeps: failure: couldn't find library libpthread.so.0 needed
by ../usr/lib/googleearth/libIGOpt.so (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libevll.so
dpkg-shlibdeps: failure: couldn't find library libGL.so.1 needed by
../usr/lib/googleearth/libevll.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libIGUtils.so
dpkg-shlibdeps: failure: couldn't find library libpthread.so.0 needed
by ../usr/lib/googleearth/libIGUtils.so (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libstdc++.so.6
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libstdc++.so.6 (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libmath.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libmath.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libQtNetwork.so.4
dpkg-shlibdeps: failure: couldn't find library libgthread-2.0.so.0
needed by ../usr/lib/googleearth/libQtNetwork.so.4 (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libIGGui.so
dpkg-shlibdeps: failure: couldn't find library libpthread.so.0 needed
by ../usr/lib/googleearth/libIGGui.so (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libIGDisplay.so
dpkg-shlibdeps: failure: couldn't find library libpthread.so.0 needed
by ../usr/lib/googleearth/libIGDisplay.so (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libwmsbase.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libwmsbase.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: liblayer.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/liblayer.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libicudata.so.38
Checking shlib deps: libIGSg.so
dpkg-shlibdeps: failure: couldn't find library libpthread.so.0 needed
by ../usr/lib/googleearth/libIGSg.so (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libcurl.so.4
dpkg-shlibdeps: failure: couldn't find library libc.so.6 needed by
../usr/lib/googleearth/libcurl.so.4 (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libfusioncommon.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libfusioncommon.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libqgif.so
dpkg-shlibdeps: failure: couldn't find library libfreetype.so.6 needed
by ../usr/lib/googleearth/plugins/imageformats/libqgif.so (its RPATH
is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libqjpeg.so
dpkg-shlibdeps: failure: couldn't find library libfreetype.so.6 needed
by ../usr/lib/googleearth/plugins/imageformats/libqjpeg.so (its RPATH
is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libIGExportCommon.so
dpkg-shlibdeps: failure: couldn't find library libpthread.so.0 needed
by ../usr/lib/googleearth/libIGExportCommon.so (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libproj.so.0
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libproj.so.0 (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libauth.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libauth.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libalchemyext.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libalchemyext.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: googleearth-bin
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/googleearth-bin (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libIGMath.so
dpkg-shlibdeps: failure: couldn't find library libpthread.so.0 needed
by ../usr/lib/googleearth/libIGMath.so (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libcomponentframework.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libcomponentframework.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: gpsbabel
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/gpsbabel (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libcommon.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libcommon.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libgps.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libgps.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libport.so
dpkg-shlibdeps: failure: couldn't find library libpthread.so.0 needed
by ../usr/lib/googleearth/libport.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libQtWebKit.so.4
dpkg-shlibdeps: failure: couldn't find library libfreetype.so.6 needed
by ../usr/lib/googleearth/libQtWebKit.so.4 (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: librender.so
dpkg-shlibdeps: failure: couldn't find library libGL.so.1 needed by
../usr/lib/googleearth/librender.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libcrypto.so.0.9.8.moved.for.workaround
dpkg-shlibdeps: failure: couldn't find library libdl.so.2 needed by
../usr/lib/googleearth/libcrypto.so.0.9.8.moved.for.workaround (its
RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libgcc_s.so.1
dpkg-shlibdeps: failure: couldn't find library libc.so.6 needed by
../usr/lib/googleearth/libgcc_s.so.1 (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libmeasure.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libmeasure.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libgooglesearch.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libgooglesearch.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libIGAttrs.so
dpkg-shlibdeps: failure: couldn't find library libpthread.so.0 needed
by ../usr/lib/googleearth/libIGAttrs.so (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: liblayout.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/liblayout.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libminizip.so
dpkg-shlibdeps: failure: couldn't find library libc.so.6 needed by
../usr/lib/googleearth/libminizip.so (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libbasicingest.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libbasicingest.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libicuuc.so.38
dpkg-shlibdeps: failure: couldn't find library libpthread.so.0 needed
by ../usr/lib/googleearth/libicuuc.so.38 (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libgeobase.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libgeobase.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libflightsim.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libflightsim.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libGLU.so.1
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libGLU.so.1 (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libmoduleframework.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libmoduleframework.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libQtGui.so.4
dpkg-shlibdeps: failure: couldn't find library libfreetype.so.6 needed
by ../usr/lib/googleearth/libQtGui.so.4 (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libIGCollision.so
dpkg-shlibdeps: failure: couldn't find library libpthread.so.0 needed
by ../usr/lib/googleearth/libIGCollision.so (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libQtCore.so.4
dpkg-shlibdeps: failure: couldn't find library libgthread-2.0.so.0
needed by ../usr/lib/googleearth/libQtCore.so.4 (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libinput_plugin.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libinput_plugin.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libgeobaseutils.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libgeobaseutils.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libz.so.1
dpkg-shlibdeps: failure: couldn't find library libc.so.6 needed by
../usr/lib/googleearth/libz.so.1 (its RPATH is '').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Checking shlib deps: libge_net.so
dpkg-shlibdeps: failure: couldn't find library libm.so.6 needed by
../usr/lib/googleearth/libge_net.so (its RPATH is
'/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/third_party/alchemy/files/newgap/install/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/27434912/base/googleclient/earth/client/thirdparty/lib-linux').
Note: libraries are not searched in other binary packages that do not
have any shlibs or symbols file.
To help dpkg-shlibdeps find private libraries, you might need to set
LD_LIBRARY_PATH.
Package: googleearth
Version: 5.0.11337.1968+0.5.6-1
Section: non-free/science
Priority: optional
Maintainer:  <sheridan@localhost>
Architecture: amd64
Depends: ttf-dejavu | ttf-bitstream-vera | msttcorefonts,  , lib32nss-mdns
Description: Google Earth, a 3D map/planet viewer
 Package built with googleearth-package.
dpkg-deb: parse error, in file
`/home/sheridan/googleearth-deb/DEBIAN/control' near line 7 package
`googleearth':
 `Depends' field, missing package name, or garbage where package name expected
Success!
You can now install the package with e.g. sudo dpkg -i <package>.deb




Information forwarded to debian-bugs-dist@lists.debian.org, wjl@icecavern.net (Wesley J. Landaker):
Bug#505900; Package googleearth-package. (Sat, 18 Apr 2009 23:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Wesley J. Landaker" <wjl@icecavern.net>:
Extra info received and forwarded to list. Copy sent to wjl@icecavern.net (Wesley J. Landaker). (Sat, 18 Apr 2009 23:12:02 GMT) Full text and rfc822 format available.

Message #30 received at 505900@bugs.debian.org (full text, mbox):

From: "Wesley J. Landaker" <wjl@icecavern.net>
To: Sheridan Hutchinson <sheridan@shezza.org>
Cc: 505900@bugs.debian.org
Subject: Re: Bug#505900 closed by wjl@icecavern.net (Wesley J. Landaker) (Bug#505900: fixed in googleearth-package 0.5.5)
Date: Sat, 18 Apr 2009 17:11:14 -0600
reopen 50590
thanks

On Saturday 18 April 2009 11:53:57 Sheridan Hutchinson wrote:
> Using 0.5.6 I'm sorry to report that I still can't build on this machine.

This is very odd. Most error messages from what you posted are saying they 
can't find libm.so.6 which *has* to be installed because it's from libc6. So I 
wonder if libc6-dev or something needs to be installed for dpkg-shlibdeps to 
work. After all, in normal usage, you can't build any package without having 
build-essential packages installed (which includes libc6-dev, gcc, and lots of 
other things).

So I've reopened this bug, and will probably fix it in the next version by 
depending on build-essential, unless I can find a more minimal way to prevent 
dpkg-shlibdeps from misbehaving.




Information forwarded to debian-bugs-dist@lists.debian.org, wjl@icecavern.net (Wesley J. Landaker):
Bug#505900; Package googleearth-package. (Sat, 18 Apr 2009 23:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sheridan Hutchinson <sheridan@shezza.org>:
Extra info received and forwarded to list. Copy sent to wjl@icecavern.net (Wesley J. Landaker). (Sat, 18 Apr 2009 23:24:03 GMT) Full text and rfc822 format available.

Message #35 received at 505900@bugs.debian.org (full text, mbox):

From: Sheridan Hutchinson <sheridan@shezza.org>
To: "Wesley J. Landaker" <wjl@icecavern.net>
Cc: 505900@bugs.debian.org
Subject: Re: Bug#505900 closed by wjl@icecavern.net (Wesley J. Landaker) (Bug#505900: fixed in googleearth-package 0.5.5)
Date: Sun, 19 Apr 2009 00:22:31 +0100
Thank you for considering this bug again.

Just to give some feedback, I have both build-essential and libc6-dev
already installed on that machine.

It might be pertinent to point out that I 'recommends' turned off in
the apt configuration and in synaptic, which may help trace which
dependency is missing?

-- 
Regards,
Sheridan Hutchinson
sheridan@shezza.org




Bug reopened, originator not changed. Request was from "Wesley J. Landaker" <wjl@icecavern.net> to control@bugs.debian.org. (Sun, 19 Apr 2009 00:24:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wjl@icecavern.net (Wesley J. Landaker):
Bug#505900; Package googleearth-package. (Sun, 19 Apr 2009 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Wesley J. Landaker" <wjl@icecavern.net>:
Extra info received and forwarded to list. Copy sent to wjl@icecavern.net (Wesley J. Landaker). (Sun, 19 Apr 2009 00:27:03 GMT) Full text and rfc822 format available.

Message #42 received at 505900@bugs.debian.org (full text, mbox):

From: "Wesley J. Landaker" <wjl@icecavern.net>
To: Sheridan Hutchinson <sheridan@shezza.org>
Cc: 505900@bugs.debian.org
Subject: Re: Bug#505900 closed by wjl@icecavern.net (Wesley J. Landaker) (Bug#505900: fixed in googleearth-package 0.5.5)
Date: Sat, 18 Apr 2009 18:14:42 -0600
On Saturday 18 April 2009 17:22:31 Sheridan Hutchinson wrote:
> Thank you for considering this bug again.
>
> Just to give some feedback, I have both build-essential and libc6-dev
> already installed on that machine.
>
> It might be pertinent to point out that I 'recommends' turned off in
> the apt configuration and in synaptic, which may help trace which
> dependency is missing?

Thanks for the additional info. If you find anything else out, just post it to 
this bug. Otherwise I'll see if I can find anything else out next time I have a 
chance to work on the package.




Information forwarded to debian-bugs-dist@lists.debian.org, wjl@icecavern.net (Wesley J. Landaker):
Bug#505900; Package googleearth-package. (Sat, 30 May 2009 06:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Barry Kitson <b.kitson@gmail.com>:
Extra info received and forwarded to list. Copy sent to wjl@icecavern.net (Wesley J. Landaker). (Sat, 30 May 2009 06:45:02 GMT) Full text and rfc822 format available.

Message #47 received at 505900@bugs.debian.org (full text, mbox):

From: Barry Kitson <b.kitson@gmail.com>
To: 505900@bugs.debian.org
Subject: Workarounds on x86-64 for 0.5.6
Date: Sat, 30 May 2009 16:44:03 +1000
Hi all,

To get 0.5.6 to work I had to install packages ia32-libs (for most of
the required libraries) and ia32-libs-gtk (for libgthread).  

I then needed to ...

$ sudo mv /usr/lib/googleearth/libssl.so.0.9.8 \
  /usr/lib/googleearth/libssl.so.0.9.8.moved.for.workaround

... to get my newly-built googleearth_5.0.11733.9347+0.5.6-1_amd64.deb
installation to run happily.

It looks like googleearth-package should depend on ia32-libs and
ia32-libs-gtk, and should move what will be 
/usr/lib/googleearth/libssl.so.0.9.8 out of the way, as is done for
libcrypto.so.0.9.8.

Hope that helps,

Barry.

-- 
Barry Kitson <b.kitson@gmail.com>





Information forwarded to debian-bugs-dist@lists.debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#505900; Package googleearth-package. (Tue, 25 Oct 2011 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Couperin <f.couperin@online.fr>:
Extra info received and forwarded to list. Copy sent to Adnan Hodzic <adnan@foolcontrol.org>. (Tue, 25 Oct 2011 15:00:03 GMT) Full text and rfc822 format available.

Message #52 received at 505900@bugs.debian.org (full text, mbox):

From: Couperin <f.couperin@online.fr>
To: 505900@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: google: Google Earth fails to build on x86-64
Date: Tue, 25 Oct 2011 16:56:25 +0200
[Message part 1 (text/plain, inline)]
tag 505900 + patch
severity 505900 important
thanks

It isn't useful on amd64
output extracts:
  dpkg-shlibdeps: error: syntax error in debian/control at line 5: block lacks the 'Architecture' field
  Depends: ttf-dejavu | ttf-bitstream-vera | msttcorefonts, lsb-core, libqtcore4, libgl1-mesa-glx,  , ia32-libs-gtk
  dpkg-deb: error: parsing file '/tmp/googleearth-deb/DEBIAN/control' near line 7 package 'googleearth':
  `Depends' field, missing package name, or garbage where package name expected
  Success!
  You can now install the package with e.g. sudo dpkg -i <package>.deb

I just had to add 'Architecture: $(dpkg-architecture -qDEB_BUILD_ARCH)'
in the script to make it works.


[googleearth-package-0.6.1-shlibdeps.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Couperin <f.couperin@online.fr> to control@bugs.debian.org. (Tue, 25 Oct 2011 15:00:07 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Couperin <f.couperin@online.fr> to control@bugs.debian.org. (Tue, 25 Oct 2011 15:00:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#505900; Package googleearth-package. (Tue, 01 Nov 2011 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Adnan Hodzic <adnan@foolcontrol.org>. (Tue, 01 Nov 2011 14:00:04 GMT) Full text and rfc822 format available.

Message #61 received at 505900@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 505900@bugs.debian.org
Subject: Re: Bug#505900: google: Google Earth fails to build on x86-64
Date: Tue, 1 Nov 2011 14:57:46 +0100
[Message part 1 (text/plain, inline)]
retitle 505900 googleearth-package: Google Earth fails to build
severity grave
# makes package unusable
thanks

On Tue, 25 Oct 2011 16:56:25 +0200, Couperin wrote:

> It isn't useful on amd64
> output extracts:
>   dpkg-shlibdeps: error: syntax error in debian/control at line 5: block lacks the 'Architecture' field
>   Depends: ttf-dejavu | ttf-bitstream-vera | msttcorefonts, lsb-core, libqtcore4, libgl1-mesa-glx,  , ia32-libs-gtk
>   dpkg-deb: error: parsing file '/tmp/googleearth-deb/DEBIAN/control' near line 7 package 'googleearth':
>   `Depends' field, missing package name, or garbage where package name expected
>   Success!
>   You can now install the package with e.g. sudo dpkg -i <package>.deb

Some on i386 in the meantime.
 
> I just had to add 'Architecture: $(dpkg-architecture -qDEB_BUILD_ARCH)'
> in the script to make it works.

Confirmed.
 

Cheers,
gregor

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - OpenPGP key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Red Hot Chili Peppers: coffie shop
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'googleearth-package: Google Earth fails to build' from 'google: Google Earth fails to build on x86-64' Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Tue, 01 Nov 2011 14:00:08 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'important' Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Tue, 01 Nov 2011 16:04:06 GMT) Full text and rfc822 format available.

Reply sent to Adnan Hodzic <adnan@foolcontrol.org>:
You have taken responsibility. (Sun, 04 Dec 2011 16:39:05 GMT) Full text and rfc822 format available.

Notification sent to Sheridan Hutchinson <sheridan@shezza.org>:
Bug acknowledged by developer. (Sun, 04 Dec 2011 16:39:05 GMT) Full text and rfc822 format available.

Message #70 received at 505900-close@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: 505900-close@bugs.debian.org
Subject: Bug#505900: fixed in googleearth-package 0.7.0
Date: Sun, 04 Dec 2011 16:35:43 +0000
Source: googleearth-package
Source-Version: 0.7.0

We believe that the bug you reported is fixed in the latest version of
googleearth-package, which is due to be installed in the Debian FTP archive:

googleearth-package_0.7.0.dsc
  to contrib/g/googleearth-package/googleearth-package_0.7.0.dsc
googleearth-package_0.7.0.tar.gz
  to contrib/g/googleearth-package/googleearth-package_0.7.0.tar.gz
googleearth-package_0.7.0_all.deb
  to contrib/g/googleearth-package/googleearth-package_0.7.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 505900@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adnan Hodzic <adnan@foolcontrol.org> (supplier of updated googleearth-package package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 03 Dec 2011 14:07:41 +0100
Source: googleearth-package
Binary: googleearth-package
Architecture: source all
Version: 0.7.0
Distribution: unstable
Urgency: low
Maintainer: Adnan Hodzic <adnan@foolcontrol.org>
Changed-By: Adnan Hodzic <adnan@foolcontrol.org>
Description: 
 googleearth-package - utility to automatically build a Debian package of Google Earth
Closes: 505900 535223 646601 649163
Changes: 
 googleearth-package (0.7.0) unstable; urgency=low
 .
   * Added debian/patches and 3 patches which helped in resolving:
     + Fixed dpkg-architecture bug which prevented package from being built
       (Closes: #505900)
     + Fixed "make-googleearth-package" exiting with status 1 when used with
       "--download" (Closes: #535223)
     + Fixed erasing input file without user consent (Closes: #646601)
   * Editted make-googleearth-package script
   	+ changed GoogleEarth_Package version to 0.7.0
     + Removed "$depends" which prevented package from being successfully built
       (Closes: #649163)
     + replaced nvidia-glx-ia32 suggest with libgl1-nvidia-glx-ia32
     + removed option of displaying dpkg-shlibdeps warnings which resulted in
       drastically improved build time along with display elimination of
       dependency warnings
     + added lib32nss-mdns under suggest for amd64 arhictecture
     + added libfreeimage3 as one of te dependencies
     + added "ubuntu checker" which fixes Ubuntu font display problem
   * fixed out-of-date-standards-version 3.9.1 by setting it to 3.9.2 in control
   * edited rules to accommodate recommended-target build-arch and build-indep
Checksums-Sha1: 
 c94e831fa7c81b9101c17d8c63a07c4f5702d767 1679 googleearth-package_0.7.0.dsc
 34e29543b87b0f7988e957770a64681c0ddee2e6 27652 googleearth-package_0.7.0.tar.gz
 ae64abf50555eb82cf622cf6e3ef11ca247107b9 12018 googleearth-package_0.7.0_all.deb
Checksums-Sha256: 
 76f4790edd35e60e36497724a42b36ae1ec0fdb2f10908719f9ba3516aa9cf0f 1679 googleearth-package_0.7.0.dsc
 ea9680e40166de2c1e95ebc2e9ac5ccd5062109415e131e2d0d7a3719b48f2f1 27652 googleearth-package_0.7.0.tar.gz
 bb733a612d894e55855355b521b11f21914b5437bc3f1af53fcb4b3d5ea7d9b3 12018 googleearth-package_0.7.0_all.deb
Files: 
 0b5314b38ccda89cdc0c8732482677a2 1679 contrib/misc optional googleearth-package_0.7.0.dsc
 9e8485d8d278771fa8d41e1663ba1938 27652 contrib/misc optional googleearth-package_0.7.0.tar.gz
 eab9655b710285291d4e002e48463bdf 12018 contrib/misc optional googleearth-package_0.7.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJO25gxAAoJEMJLZaJnLIsSR1AP/3hQ6gmz5+woLx2AUJiJy6j1
BnOPMuU0QQKYJeLUSX74Of0KBXtNJdNASs5uW75fF5WyzazuaEG58DaspPFyE07x
Vffd5g3T5MLCvOJsbiDlzhR01TMhV1VGEqH0ThMOtex/d1+YbZ7jW5CitNz+uERp
IqYZjv4ZCfrYSzdidrTgI4KmCbHMYOjI4T5NO3N0RdnBVkxwkklGLVTh0x766ZOO
h6Na78D9dtO3kj29ZJI9p+kXqOkplqYq0TZnQko3eu8aylj9rM+XS5vEesTeGJg+
DIssLSFT0ezaH0+CtcCm5+Y0WXLlrz4ze27hzKOj28XXQppn5grCSVelbccwgwKq
GxSeY5aodws88qjkAaQoLtpn5FruGw3fWMfC6gHs5ougzT4VQY8daQXZqh84TwNC
mCk02sqOOScneLL8QydfZnBPoeI/AjSPyllS7WAYrIWpwB1omVEtq7g6DiaEWbzj
qSH3HeFcrYU9QdgcumbybbflzdEC17Ysc0uuRUwgYbMwLeAqJdteeNHRgIxm0Enq
Rw5iktOJUJHNoVVGxv29bPg4uiowLtAE+U/fxcjIQvFd5CudSGBd4eLWDkf7p38/
rqY4ECCmejxMzWtRXKuSSvqlXdqGbJNj9MuW9ilZNHnTCQDDvWbwJ1sldOXQccTF
15j+khkDeqa8mVHMyGLF
=ZT2d
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#505900; Package googleearth-package. (Tue, 06 Dec 2011 06:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adnan Hodzic <adnan@foolcontrol.org>:
Extra info received and forwarded to list. (Tue, 06 Dec 2011 06:18:06 GMT) Full text and rfc822 format available.

Message #75 received at 505900@bugs.debian.org (full text, mbox):

From: Adnan Hodzic <adnan@foolcontrol.org>
To: gregor herrmann <gregoa@debian.org>, 505900@bugs.debian.org
Subject: Re: Bug#505900: google: Google Earth fails to build on x86-64
Date: Tue, 6 Dec 2011 07:13:55 +0100
0.7.0 has been released and it also includes your patch.


Thank you,

Adnan

On Tue, Nov 1, 2011 at 2:57 PM, gregor herrmann <gregoa@debian.org> wrote:
> retitle 505900 googleearth-package: Google Earth fails to build
> severity grave
> # makes package unusable
> thanks
>
> On Tue, 25 Oct 2011 16:56:25 +0200, Couperin wrote:
>
>> It isn't useful on amd64
>> output extracts:
>>   dpkg-shlibdeps: error: syntax error in debian/control at line 5: block lacks the 'Architecture' field
>>   Depends: ttf-dejavu | ttf-bitstream-vera | msttcorefonts, lsb-core, libqtcore4, libgl1-mesa-glx,  , ia32-libs-gtk
>>   dpkg-deb: error: parsing file '/tmp/googleearth-deb/DEBIAN/control' near line 7 package 'googleearth':
>>   `Depends' field, missing package name, or garbage where package name expected
>>   Success!
>>   You can now install the package with e.g. sudo dpkg -i <package>.deb
>
> Some on i386 in the meantime.
>
>> I just had to add 'Architecture: $(dpkg-architecture -qDEB_BUILD_ARCH)'
>> in the script to make it works.
>
> Confirmed.
>
>
> Cheers,
> gregor
>
> --
>  .''`.   Homepage: http://info.comodo.priv.at/ - OpenPGP key ID: 0x8649AA06
>  : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
>  `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
>   `-    NP: Red Hot Chili Peppers: coffie shop



-- 
Adnan




Information forwarded to debian-bugs-dist@lists.debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#505900; Package googleearth-package. (Tue, 06 Dec 2011 15:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Adnan Hodzic <adnan@foolcontrol.org>. (Tue, 06 Dec 2011 15:48:06 GMT) Full text and rfc822 format available.

Message #80 received at 505900@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Adnan Hodzic <adnan@foolcontrol.org>
Cc: 505900@bugs.debian.org
Subject: Re: Bug#505900: google: Google Earth fails to build on x86-64
Date: Tue, 6 Dec 2011 16:44:24 +0100
[Message part 1 (text/plain, inline)]
On Tue, 06 Dec 2011 07:13:55 +0100, Adnan Hodzic wrote:

> 0.7.0 has been released and it also includes your patch.

Yup, works.
Thanks you!

gregor
 
-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - OpenPGP key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: JBO: Schlaf Kindlein, schlaf
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:26:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:59:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.